#
# spec file for package sysstat (Version 6.0.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cpp41 cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gcc41 gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc41 libltdl libmudflap41 libnscd libstdc++41 libtool libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           sysstat
Version:        6.0.2
Release:        36.2
PreReq:         %insserv_prereq %fillup_prereq
Requires:       gnuplot
Requires:       procmail
Autoreqprov:    on
Group:          System/Monitoring
License:        GNU General Public License (GPL)
URL:            http://perso.wanadoo.fr/sebastien.godard/
Summary:        Sar and Iostat Commands for Linux
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}-SuSE.tar.gz
Patch0:         %{name}-%{version}.diff
Patch1:         %{name}-%{version}-msg.diff
Patch2:         %{name}-%{version}-mask.diff
Patch3:         %{name}-%{version}-config.diff
Patch4:         %{name}-%{version}-pagesize.diff
Patch5:         %{name}-%{version}-sysconfdir.diff
Patch6:         %{name}-%{version}-hz.diff
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Sar and Iostat commands for Linux. The sar command collects and reports
system activity information. The iostat command reports CPU statistics
and I/O statistics for TTY devices and disks.  The information
collected by sar and iostat can be saved in a binary file for future
inspection.  Both commands now support SMP machines when displaying CPU
utilization.



Authors:
--------
    Sebastien Godard <sebastien.godard@wanadoo.fr>

%debug_package
%prep
%setup -q -a 1
%patch0
%patch1
%patch2
%patch3
%patch4
%patch5
%patch6

%build
make CFLAGS="$RPM_OPT_FLAGS -Wall" LFLAGS="-L. -lsyscom"

%install
install -d $RPM_BUILD_ROOT/usr/lib \
           $RPM_BUILD_ROOT/usr/bin \
           $RPM_BUILD_ROOT%{_mandir}/man1 \
           $RPM_BUILD_ROOT%{_mandir}/man8 \
           $RPM_BUILD_ROOT/var/log/sa
make DESTDIR=$RPM_BUILD_ROOT \
     MAN1_DIR=%{_mandir}/man1 \
     MAN8_DIR=%{_mandir}/man8 \
     SYSCONFIG_DIR=%{_sysconfdir}/sysstat \
     install
cp -a SuSE/* $RPM_BUILD_ROOT
cp contrib/isag/isag $RPM_BUILD_ROOT/usr/bin
cp contrib/isag/isag.1 $RPM_BUILD_ROOT%{_mandir}/man1
rm -rf $RPM_BUILD_ROOT/usr/doc/sysstat*
mkdir -p $RPM_BUILD_ROOT/usr/sbin
ln -fs ../../etc/init.d/sysstat $RPM_BUILD_ROOT/usr/sbin/rcsysstat
%{find_lang} %{name}

%preun
rm -f /var/log/sa/*

%post
%{fillup_and_insserv sysstat}

%postun
%{insserv_cleanup}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%attr(644,root,root) %config(noreplace) /etc/sysstat/sysstat.cron
%attr(644,root,root) %config(noreplace) /etc/sysstat/sysstat.ioconf
%attr(755,root,root) /etc/init.d/sysstat
%doc CHANGES COPYING CREDITS FAQ README TODO sysstat-%{version}.lsm
%doc %{_mandir}/man?/*
%dir /etc/sysstat
%{_bindir}/*
%{_sbindir}/*
/usr/lib/sa
/usr/lib/sa/sa2
/var/log/sa

%changelog -n sysstat
* Thu Dec 07 2006 - prusnak@suse.cz
- added procmail to Requires [#226503]
* Tue Aug 08 2006 - ro@suse.de
- fix one more place with HZ usage
* Fri Jul 28 2006 - olh@suse.de
- sysstat bootscript depends on boot.rootfsck, optional $local_fs (#181972)
* Tue Apr 25 2006 - mjancar@suse.cz
- use sysconf(_SC_CLK_TCK) to get correct HZ (#168604)
* Fri Mar 24 2006 - anicka@suse.cz
- fix bug in sysstat-6.0.2.diff [#155329]
- package file /usr/lib/sa/sa2
* Thu Jan 26 2006 - mjancar@suse.cz
- prune old files (#136703)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Jan 12 2006 - majncar@suse.cz
- update to 6.0.2
* Thu Oct 13 2005 - mjancar@suse.cz
- update to 6.0.1
- split patches by subject
* Sat Apr 09 2005 - aj@suse.de
- Compile with GCC4.
* Thu Feb 24 2005 - mjancar@suse.cz
- remove .cron from the crontab filename (#64225)
* Fri Sep 03 2004 - tcrhak@suse.cz
- update to 5.0.6
* Mon Aug 09 2004 - tcrhak@suse.cz
- update to 5.0.5
* Wed Jun 30 2004 - tcrhak@suse.cz
- changed isag data file mask according to sa file naming
  (patch mask, bug #41691)
* Tue Mar 30 2004 - tcrhak@suse.cz
- fixed insecure tmp file handling in isag (bug #35103, patch isag)
- do not install crontab directly into /etc/cron.d, but create/remove
  symlink threre during start/stop in the init script (bug #33279)
- added rcsysstat
- fixed sa1 and sa2
* Wed Feb 18 2004 - tcrhak@suse.cz
- update to version 5.0.1
* Fri Sep 12 2003 - tcrhak@suse.cz
- fix for systems with more than 32 cpus and a lot of memory
  [bug #30561] patch bumper
* Wed Aug 20 2003 - tcrhak@suse.cz
- added LSB comments to init script [bug #24541]
* Wed Jul 23 2003 - tcrhak@suse.cz
- do not log running /usr/lib/sa/sa1 every 10 minutes [bug #27253]
* Mon Jun 02 2003 - ro@suse.de
- remove unpackaged files from buildroot
* Mon Mar 10 2003 - tcrhak@suse.cz
- added isag script and man page
- be more descriptive in an error message (patch msg)
* Thu Feb 27 2003 - tcrhak@suse.cz
- require $local_fs for start in init script [bug #24400]
  (patch init)
* Mon Feb 17 2003 - tcrhak@suse.cz
- updated to version 4.0.7
- moved helper binary and scripts
  back to /usr/lib [bug #21713]
* Fri Sep 06 2002 - tcrhak@suse.cz
- bug #18901:
  - use proper libdir (lib/lib64) in cron, scripts and man pages
  - in /etc/init.d/sysstat: no option b, test exit
  status of sadc, remove lockfile and be verbose
* Tue Aug 06 2002 - kukuk@suse.de
- Don't start programs in post-install
- Add PreRequiers for insserv and fillup
* Thu Feb 07 2002 - tcrhak@suse.cz
- another %%{_libdir} fix
* Thu Jan 31 2002 - tcrhak@suse.cz
- update to 4.0.3
- refined scripts sa1 and sa2 to handle lockfile safe
* Fri Jan 18 2002 - tcrhak@suse.cz
- used macros %%{_lib} and %%{_libdir}
* Tue Dec 18 2001 - tcrhak@suse.cz
- update to version 4.0.2
- fixed bug #12664
- added dependecy on gnuplot
- adapted spec to use fillup_and_insserv/insserv_cleanup staff
* Mon Aug 20 2001 - adostal@suse.cz
- update to version 4.0.1
- update patch
* Tue May 15 2001 - pblaha@suse.cz
- add file lock for scripts sa1 and sa2 for fix bug #7861
* Thu May 03 2001 - pblaha@suse.cz
- use sa.%%Y_%%m_%%d format for sar command
* Sun Apr 15 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT.
* Thu Apr 12 2001 - pblaha@suse.cz
- update on 4.0.0
* Wed Mar 21 2001 - schwab@suse.de
- Use getpagesize() instead of PAGE_SHIFT.
* Thu Dec 07 2000 - nadvornik@suse.de
- fixed init script
* Wed Dec 06 2000 - nadvornik@suse.cz
- fixed sa1 and sa2 scripts
- fixed cron files
* Sat Dec 02 2000 - smid@suse.cz
- new version 3.3.2
* Thu Oct 19 2000 - smid@suse.cz
- new version 3.3.1
* Thu Jun 08 2000 - nadvornik@suse.cz
- fixed clean section
* Fri May 05 2000 - smid@suse.cz
- upgrade to 3.2
- buildroot added
* Tue Jan 18 2000 - nashif@suse.de
- Initial release (Version 2.2)
